<?php
    $backgroundcut_live_key = get_option('backgroundcut_live_key');
    $backgroundcut_products = get_option('backgroundcut_products');
    $Backgroundcut_products_IDs = get_option('Backgroundcut_products_IDs');
    $background_option = get_option('background_option');
    $background_color = get_option('background_color');
    $background_image = get_option('background_image');
    $Backgroundcut_Preserve_Resize = get_option('Backgroundcut_Preserve_Resize');
    $Backgroundcut_main_image = get_option('Backgroundcut_main_image');
    $Backgroundcut_gallery_image = get_option('Backgroundcut_gallery_image');
    $Backgroundcut_Include_Processed = get_option("Backgroundcut_Include_Processed");
    $remaining_credits = get_option('remaining_credits');
    $Backgroundcut_crop_image = get_option('Backgroundcut_crop_image');
    $Backgroundcut_gallery_image_IDs = get_option('Backgroundcut_gallery_image_IDs');
?>


<style type="text/css" media="screen">
    .lds-ellipsis {
        display: inline-block;
        position: relative;
        width: 80px;
        height: 50px;
    }

    .lds-ellipsis div {
        position: absolute;
        top: 33px;
        width: 13px;
        height: 13px;
        border-radius: 50%;
        background: #017dc7;
        animation-timing-function: cubic-bezier(0, 1, 1, 0);
    }

    .lds-ellipsis div:nth-child(1) {
        left: 8px;
        animation: lds-ellipsis1 0.6s infinite;
    }

    .lds-ellipsis div:nth-child(2) {
        left: 8px;
        animation: lds-ellipsis2 0.6s infinite;
    }

    .lds-ellipsis div:nth-child(3) {
        left: 32px;
        animation: lds-ellipsis2 0.6s infinite;
    }

    .lds-ellipsis div:nth-child(4) {
        left: 56px;
        animation: lds-ellipsis3 0.6s infinite;
    }

    @keyframes lds-ellipsis1 {
        0% {
            transform: scale(0);
        }
        100% {
            transform: scale(1);
        }
    }

    @keyframes lds-ellipsis3 {
        0% {
            transform: scale(1);
        }
        100% {
            transform: scale(0);
        }
    }

    @keyframes lds-ellipsis2 {
        0% {
            transform: translate(0, 0);
        }
        100% {
            transform: translate(24px, 0);
        }
    }
</style>


<div class="wc_remove_bg notice notice-error" id="missing_key" style="display: none;">
    <p>Missing API key</p>
</div>
<div class="backgroundcut-options widefat">
    <img src="<?php echo BACKGROUNDCUT_ROOT_URL.'/assets/125px.png';?>" style="height:35px;">
    <h3>Backgroundcut - Auto Background Remover</h3>
    <br/><br/>

    <div id="backgroundcutapiwarning" <?php if (!empty($backgroundcut_live_key)) echo 'style="display:none;"'; else 'style="display:block;"'; ?>>
        <p><span class="bold">WARNING:</span> You have not entered your API key. This plugin will not function without a
            valid API key. Kindly follow the below steps to obtain your API key :
        </p>
        <ol>
            <li>Sign up at <a href="https://www.backgroundcut.com/signup" target="_blank">https://www.backgroundcut.com</a>. Ignore
                this step if you have already signed-up.
            </li>
            <li>Go to My Account page by clicking this <a href="https://www.backgroundcut.com/account"
                                                          target="_blank">link</a>.
            </li>
            <li>Navigate to API key tab.</li>
            <li>Click on the copy button located just beside the API key and paste it in the API key section of this
                plugin.
            </li>
        </ol>
        <p></p>
    </div>
      

    <form action="" method="post">
        <table class="wp-list-table widefat fixed striped">
            <tbody>
            <tr valign="top">
                <th scope="row">
                    <strong>
                        <p class="tooltip">Backgroundcut Api key</p>
                    </strong>
                </th>
                <td>
                    <input type="text" name="backgroundcut_live_api_key" id="backgroundcut_live_api_key" class="backgroundcut_input"
                           value="<?php if ($backgroundcut_live_key) echo $backgroundcut_live_key; ?>"
                           placeholder="Backgroundcut API key">
                   <?php /*** <p class="remaining_credits">
                        <?php 
                            $api_key_status = get_option('invalid_api_key');
                            $api_text_class = ( $api_key_status == 'true' || $remaining_credits <= 0 )?'style="color:red;"':'style="color:green;"';
                        ?>
                        <span id="remaining_credits" <?php echo $api_text_class; ?>>
                            <?php
                                if($api_key_status == 'true'){
                                    echo 'Invalid API key';
                                }
                                else{
                                    if ($remaining_credits <= 0) {
                                        echo 'No credit left.Please recharge your credit balance.';
                                    } else {
                                        echo 'Remaining Credits: ' . $remaining_credits;
                                    }
                                }
                            ?>

                        </span>
                    </p><?php ***/ ?>
                    <p class="getapikey">You can get your api key from <a href='https://backgroundcut.co/api/'>https://backgroundcut.co/api</a>
                    </p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">
                    <strong>
                        <p class="tooltip">Choose target products<span class="tooltiptext">Whether to process all products or only products with provided IDs</span>
                        </p>
                    </strong>
                </th>
                <td>
                    <input type="radio" class="backgroundcut_input" id="backgroundcut_products" name="backgroundcut_products"
                           value="all" <?php if ($backgroundcut_products == 'all') echo "checked"; ?>><label
                            for="backgroundcut_products">Remove background from all products</label><br>
                    <input type="radio" id="products_spec" class="backgroundcut_input" name="backgroundcut_products"
                           value="specified" <?php if ($backgroundcut_products == 'specified') echo "checked"; ?>><label
                            for="products_spec">Remove background only from specified products </label><span
                            class="desc">(IDs of products to process: comma separated or ranges, i.e. 4,15.18)</span>
                    <input type="text"
                           class="backgroundcut_input text-full-width" <?php if ($backgroundcut_products == 'specified') echo 'style="display: block;"'; else echo 'style="display: none;"'; ?>
                           placeholder="4,156,271" id="Backgroundcut_products_IDs" name="Backgroundcut_products_IDs"
                           value="<?php if ($Backgroundcut_products_IDs) echo $Backgroundcut_products_IDs; ?>">
                    <p class="backgroundcut_product_IDs_missind">
                        <span id="backgroundcut_product_IDs_missind" class="product_id_error">
                            Products IDs missing.
                        </span>
                    </p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">
                    <strong>
                        <p class="tooltip">Choose target images ?<span class="tooltiptext">"Main image" - processes only main image of a product, "Product gallery" - processes only product gallery images.(You can get all the gallery image id's inside inventory tab of a product.) Check both to process all images of a product.</span>
                        </p>
                    </strong>
                </th>
                <td>
                    <input type="checkbox" class="backgroundcut_input" id="backgroundcut_target_product_image"
                           name="Backgroundcut_main_image"
                           value="1" <?php if ($Backgroundcut_main_image == 1) echo "checked"; ?>><label for="backgroundcut_target_product_image">Main
                        image</label><br>
                    <input type="checkbox" id="backgroundcut_target_gallery_image" class="backgroundcut_input"
                           name="Backgroundcut_gallery_image"
                           value="1" <?php if ($Backgroundcut_gallery_image == 1) echo "checked"; ?>><label
                            for="backgroundcut_target_gallery_image">Product gallery</label><br>
                    <?php 
                        $hide_class = ($backgroundcut_products == 'specified' && $Backgroundcut_gallery_image == 1)?'':'hide';
                    ?>        
                    <div class="backgroundcut_gallery_image_ids <?php echo $hide_class; ?>">        
                        <input type="text" name="Backgroundcut_Product_Gallery_Image_Ids" id="Backgroundcut_Product_Gallery_Image_Ids" value="<?php echo $Backgroundcut_gallery_image_IDs; ?>" class="backgroundcut_input text-full-width" >
                        <br/>
                        <label>(IDs of products gallery images to process: comma separated or ranges, i.e. 4,15.18 or leave this box blank for all gallery images.)</label>
                    </div>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">
                    <strong>
                        <p class="tooltip">Include processed images ?<span class="tooltiptext">By default, plugin processes each image only once. If checked, plugin will not skip earlier processed images and will overwrite them</span>
                        </p>
                    </strong>
                </th>
                <td>
                    <input type="checkbox" class="backgroundcut_input" name="Backgroundcut_Include_Processed"
                           id="Backgroundcut_Include_Processed"
                           value="1" <?php if ($Backgroundcut_Include_Processed == 1) echo "checked"; ?>>
                </td>
            </tr>
            <!---<tr valign="top" >
                <th scope="row">
                    <strong>
                        <p class="tooltip">Image Size <span class="tooltiptext">Maximum output image resolution: "Auto" = Use highest available resolution (based on image size and available credits), "Preview" = Resize image to 0.25 megapixels (e.g. 625×400 pixels), "Full" = Use original image resolution, up to 10 megapixels (e.g. 4000x2500). </span>
                        </p>
                    </strong>
                </th>
                <td>
                    <input type="radio" id="out_preview" class="backgroundcut_input" name="Backgroundcut_Preserve_Resize"
                           value="preview" <?php if ($Backgroundcut_Preserve_Resize == 'preview') echo "checked"; ?>><label
                            for="out_preview">Preview</label><br>
                    <input type="radio" id="out_full" class="backgroundcut_input" name="Backgroundcut_Preserve_Resize"
                           value="full" <?php if ($Backgroundcut_Preserve_Resize == 'full') echo "checked"; ?>><label
                            for="out_full">Full</label>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">
                    <strong>
                        <p class="tooltip">Make new background <span class="tooltiptext">"Transparent" - processed images will have transarent background, "Color" - sets chosen color as new background of processed images, "Custom image" - sets your image as new background of processed images</span>
                        </p>
                    </strong>
                </th>
                <td>
                    <input type="radio" class="backgroundcut_input" name="background_option"
                           value="remove_background_option" <?php if ($background_option == 'remove_background_option') echo "checked"; ?> id="transparent"/>
                    <label for="transparent">Transparent</label>
                    <br/>
                    <input type="radio" name="background_option" class="backgroundcut_input"
                           value="background_color_option" <?php if ($background_option == 'background_color_option') echo "checked"; ?> id="color"/>
                    <label for="color">Color</label>
                    <br/>
                    <p id="background_color_p" <?php if ($background_option == 'background_color_option') echo 'style="display:block;"'; else echo 'style="display:none;"'; ?>>
                        <input type="color" class="backgroundcut_input" name="background_color"
                               id="background_color" <?php if ($background_color) echo 'value="' . $background_color . '"'; ?>>
                        Select Background Color</p>
                        <input type="radio" name="background_option" class="backgroundcut_input"
                               value="background_image_option" <?php if ($background_option == 'background_image_option') echo "checked"; ?>  id="custom_image"/>
                        <label for="custom_image">Custom image</label>
                        <br/>
                    <p>
                        <input type="file" id="background_image_file"
                               class="backgroundcut_input" <?php if ($background_option == 'background_image_option') echo 'style="display:block;"'; else echo 'style="display:none;"'; ?>>
                    </p>
                </td>
            </tr>
            <tr>
                <th scope="row">
                    <strong>
                        <p class="tooltip">Crop Image</p>
                    </strong>
                </th>
                <td>
                    <span>OFF</span>
                    <label class="switch">
                      <input type="checkbox" name="Backgroundcut_Crop_Image" id="Backgroundcut_Crop_Image" <?php echo ($Backgroundcut_crop_image == 'on')?'checked':''; ?>>
                      <span class="slider round"></span>
                    </label>
                    <span>ON</span>
                </td>
            </tr>-->
            </tbody>
        </table>
        <!--new table-->
        <div id="backgroundcut-loader" style="display: none">
            <div class="lds-ellipsis">
                <div></div>
                <div></div>
                <div></div>
                <div></div>
            </div>
            <br>
            <a href="javascript:void(0)" class="stopajaxqueue">Stop process</a>
        </div>
        <!--        <div id="backgroundcut-loader" style="display: none;"></div>-->
        <div id="backgroundcut_ui_notificatuion" style="color: red;"></div>

        <br>
        <div class="remaining_credits_ajax"></div>
        <br>
        <div class="remaining_images_ajax"></div>
        <br>
        <p id="backgroundcut_change_check" style="display:none;color:tomato;">Note : You have made changes please save
            settings first.</p>
        <p id="success_msg" style="display:none;color:green!important;"></p>
        <input type="button" name="backgroundcut_save_settings" id="backgroundcut_save_settings" value="Save changes">
        <input type="button" name="backgroundcut_start_background_removal" id="backgroundcut_start_background_removal"
               value="Start process">

        <input type="button" name="backgroundcut_restore_backup" id="backgroundcut_restore_backup" value="Undo changes">
        <input type="button" name="backgroundcut_delete_backup" id="backgroundcut_delete_backup" value="Remove backup">

        <input type="hidden" name="tostopforeach" class="tostopforeach" value="nostop">

        <input type="text" value="1" id="backgroundcut_input" style="display:none;">
    </form>
</div>
<hr>
<lable>
    <h3><i>Contact us for any support or bug reporting: support@backgroundcut.co</i></h3>
</lable>