<?php
add_action('wp_ajax_backgroundcut_save_settings', 'backgroundcut_save_settings');
add_action('wp_ajax_nopriv_backgroundcut_save_settings', 'backgroundcut_save_settings');
function backgroundcut_save_settings(){
    if (isset($_POST['backgroundcut_save_settings'])) {
        $result = array();
        $Backgroundcut_Include_Processed = sanitize_text_field($_POST['Backgroundcut_Include_Processed']);
        $backgroundcut_api_key = sanitize_text_field($_POST['backgroundcut_live_api_key']);
        $backgroundcut_products = sanitize_text_field($_POST['backgroundcut_products']);
        $Backgroundcut_products_IDs = sanitize_text_field($_POST['Backgroundcut_products_IDs']);
        $backgroundcut_main_image = sanitize_text_field($_POST['backgroundcut_main_image']);
        $backgroundcut_gallery_image = sanitize_text_field($_POST['backgroundcut_gallery_image']);
        $background_option = sanitize_text_field($_POST['background_option']);
        $background_color = sanitize_text_field($_POST['background_color']);
        $Backgroundcut_gallery_image_IDs = sanitize_text_field($_POST['product_gallery_image']);
        $Backgroundcut_crop_image = sanitize_text_field($_POST['Backgroundcut_Crop_Image']);



        //image_upload
        if (isset($_FILES['background_image'])) {
            $wordpress_upload_dir = wp_upload_dir();
            $i = 1; // number of tries when the file with the same name is already exists
            $profilepicture = $_FILES['background_image'];
            $new_file_path = $wordpress_upload_dir['path'] . '/' . $profilepicture['name'];
            $new_file_mime = mime_content_type($profilepicture['tmp_name']);

            while (file_exists($new_file_path)) {
                $i++;
                $new_file_path = $wordpress_upload_dir['path'] . '/' . $i . '_' . $profilepicture['name'];
            }

            // looks like everything is OK
            if (move_uploaded_file($profilepicture['tmp_name'], $new_file_path)) {


                $upload_id = wp_insert_attachment(array(
                    'guid' => $new_file_path,
                    'post_mime_type' => $new_file_mime,
                    'post_title' => preg_replace('/\.[^.]+$/', '', $profilepicture['name']),
                    'post_content' => '',
                    'post_status' => 'inherit'
                ), $new_file_path);

                // wp_generate_attachment_metadata() won't work if you do not include this file
                require_once(ABSPATH . 'wp-admin/includes/image.php');

                // Generate and save the attachment metas into the database
                wp_update_attachment_metadata($upload_id, wp_generate_attachment_metadata($upload_id, $new_file_path));

                // Show the uploaded file in browser
                
                $background_image = wp_get_attachment_url($upload_id);
                update_option('background_image', $background_image);
            }
        }
        //image_upload
        $Backgroundcut_Preserve_Resize = sanitize_text_field($_POST['Backgroundcut_Preserve_Resize']);

        update_option('backgroundcut_live_key', $backgroundcut_api_key);
        update_option('backgroundcut_products', $backgroundcut_products);
        update_option('Backgroundcut_products_IDs', $Backgroundcut_products_IDs);
        update_option('backgroundcut_main_image', $backgroundcut_main_image);
        update_option('backgroundcut_gallery_image', $backgroundcut_gallery_image);
        update_option('background_option', $background_option);
        update_option('background_color', $background_color);
        update_option('Backgroundcut_Include_Processed', $Backgroundcut_Include_Processed);
        update_option('Backgroundcut_Preserve_Resize', $Backgroundcut_Preserve_Resize);
        
        update_option('Backgroundcut_gallery_image_IDs', $Backgroundcut_gallery_image_IDs);
        update_option('Backgroundcut_crop_image', $Backgroundcut_crop_image);
       /***  $response = get_remaining_credits($backgroundcut_api_key,API_ACCOUNT); 
       $result['error'] = 1;  
        if($response == -1){
            $result['msg'] = 'Invalid api key.';
            update_option('invalid_api_key', 'true');
        }else{   
            $remaining_credit = get_option('remaining_credits'); 
            if($remaining_credit > 0){ 
                $result['error'] = 0; 
                $result['remaining_credit'] = 'Remaining Credits: '.$remaining_credit;
                update_option('invalid_api_key', 'false');
            }else{
                $result['msg'] = 'No credit left.Please recharge your credit balance.';
            }
        }***/

    }
    echo json_encode($result);  
    exit;
}